/* 
 * Background Saver - BeOS Screensaver module
 * Blanks the screen and displays the current workspace background image
 *
 * Written by and copyright © 2000 by John Yanarella (yanarejm@muohio.edu)
 *
 * version 1.0 (April 3rd, 2000)
 *    - original release
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or 
 * implied warranty.
 *
 */

#include <ScreenSaver.h>
#include <Point.h>
#include <Bitmap.h>

class BackgroundSaver : public BScreenSaver {
 public:
	BackgroundSaver(BMessage *msg, image_id id);
	virtual ~BackgroundSaver();
	
	virtual void StartConfig(BView *view);
	virtual status_t StartSaver(BView *view, bool preview);
	virtual void StopSaver();
	virtual void Draw(BView *view, int32 frame);

 private:
	BBitmap *m_icon;
	bool m_preview;
	image_id m_image;
};
